Direct Debit · API reference · instruments
Delete Instrument
Base URL not set in the spec · operationId delete_instrument_instruments__instrument_id__delete
Delete an instrument by ID.
Authorization
The spec does not declare an authentication scheme for this endpoint.
Path parameters
instrument_id string (uuid) requiredHeaders
X-API-Key string | null Responses
204 Successful Response
422 Validation Error application/json
detail array of ValidationError loc detail[].loc array of (string | integer) requiredmsg detail[].msg string requiredtype detail[].type string requiredThis request is in the Monato · Direct Debit Postman collection, folder instruments.Download collection
Request
curl -X DELETE "$BASE_URL/instruments/{instrument_id}" \
-H "X-API-Key: $API_KEY"const res = await fetch(`${BASE_URL}/instruments/{instrument_id}`, {
method: "DELETE",
headers: {
"X-API-Key": API_KEY,
},
});
const data = await res.json();import requests
res = requests.delete(
f"{BASE_URL}/instruments/{{instrument_id}}",
headers={
"X-API-Key": API_KEY,
},
)
data = res.json()